Bug 24545 - Replace Franklin Street by gnu.org/licenses in copyright
Summary: Replace Franklin Street by gnu.org/licenses in copyright
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 9978
Blocks:
  Show dependency treegraph
 
Reported: 2020-01-30 13:41 UTC by Marcel de Rooy
Modified: 2020-03-31 22:13 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
This enhancement updates the GNU GPL license and copyright statement in all files so they are the same. It also updates the QA check to catch all new files.
Version(s) released in:
20.05.00


Attachments
Bug 24545: Fix license statements (763.62 KB, patch)
2020-01-31 13:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24545: Fix find-license-problems.t to catch future wrong license statements (5.93 KB, patch)
2020-01-31 13:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24545: Fix license statements (763.66 KB, patch)
2020-02-01 21:46 UTC, David Nind
Details | Diff | Splinter Review
Bug 24545: Fix find-license-problems.t to catch future wrong license statements (5.97 KB, patch)
2020-02-01 21:47 UTC, David Nind
Details | Diff | Splinter Review
Bug 24545: (follow-up) Fix license statements (3.52 KB, patch)
2020-02-03 09:47 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24545: Fix license statements (759.10 KB, patch)
2020-02-17 09:22 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24545: Fix find-license-problems.t to catch future wrong license statements (5.97 KB, patch)
2020-02-17 09:22 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24545: (follow-up) Fix license statements (3.52 KB, patch)
2020-02-17 09:22 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24705: Add tests (3.08 KB, patch)
2020-02-24 12:28 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 24705: Holds placed via SIP will be given first priority (1.44 KB, patch)
2020-02-24 12:28 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 24708: Update Z39.50 server attribute in fr-CA installation file (2.40 KB, patch)
2020-02-24 12:28 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 24545: Fix license statements (759.20 KB, patch)
2020-02-24 12:31 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 24545: Fix find-license-problems.t to catch future wrong license statements (6.07 KB, patch)
2020-02-24 12:31 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 24545: (follow-up) Fix license statements (3.62 KB, patch)
2020-02-24 12:31 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 24545: Fix newly added files (9.00 KB, patch)
2020-02-24 13:05 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24545: (follow-up) Fix license statements (1.80 KB, patch)
2020-02-24 14:31 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24545: Cannot return outside of sub (903 bytes, patch)
2020-03-09 15:00 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2020-01-30 13:41:13 UTC
No big deal but inconsistent:

git grep -l "gnu.org/licenses"| wc -l
1156
git grep -l "Franklin Street"| wc -l
471

It seems easier to me to go to gnu.org than writing to Boston ? Even in newer files sometimes the older copyright is copied.
Comment 1 Marcel de Rooy 2020-01-30 13:44:40 UTC
Could you add Franklin Street into qa tools to stop new ones, Jonathan?
Comment 2 Jonathan Druart 2020-01-31 13:48:08 UTC
Created attachment 98232 [details] [review]
Bug 24545: Fix license statements

Bug 9978 should have fixed them all, but some were missing.
We want all the license statements part of Koha to be identical, and
using the GPLv3 statement.
Comment 3 Jonathan Druart 2020-01-31 13:48:11 UTC
Created attachment 98233 [details] [review]
Bug 24545: Fix find-license-problems.t to catch future wrong license statements

File adjust to run tests and be executed on all our codebase.

Test plan:
- Apply this patch without the other one
- run the tests
=> Several failures
- apply the other patch
- run the tests
=> Should pass now
Comment 4 Jonathan Druart 2020-01-31 13:48:40 UTC
(In reply to Marcel de Rooy from comment #1)
> Could you add Franklin Street into qa tools to stop new ones, Jonathan?

We could, please open a new issue on the project's bug tracker.
Comment 5 David Nind 2020-02-01 21:46:57 UTC
Created attachment 98270 [details] [review]
Bug 24545: Fix license statements

Bug 9978 should have fixed them all, but some were missing.
We want all the license statements part of Koha to be identical, and
using the GPLv3 statement.

Signed-off-by: David Nind <david@davidnind.com>
Comment 6 David Nind 2020-02-01 21:47:00 UTC
Created attachment 98271 [details] [review]
Bug 24545: Fix find-license-problems.t to catch future wrong license statements

File adjust to run tests and be executed on all our codebase.

Test plan:
- Apply this patch without the other one
- run the tests
=> Several failures
- apply the other patch
- run the tests
=> Should pass now

Signed-off-by: David Nind <david@davidnind.com>
Comment 7 Marcel de Rooy 2020-02-03 07:54:43 UTC
etc/zebradb/authorities/etc/dom-config-marc.xml
etc/zebradb/authorities/etc/dom-config.xml
etc/zebradb/biblios/etc/dom-config-marc.xml
etc/zebradb/biblios/etc/dom-config.xml
etc/zebradb/xsl/zebra.xsl
koha-tmpl/intranet-tmpl/lib/tiny_mce/license.txt
koha-tmpl/intranet-tmpl/prog/js/offlinecirc.js
xt/find-license-problems.t
xt/fix-old-fsf-address

Should we still address a few of these ones?
Comment 8 Jonathan Druart 2020-02-03 09:46:18 UTC
(In reply to Marcel de Rooy from comment #7)
> etc/zebradb/authorities/etc/dom-config-marc.xml
> etc/zebradb/authorities/etc/dom-config.xml
> etc/zebradb/biblios/etc/dom-config-marc.xml
> etc/zebradb/biblios/etc/dom-config.xml
> etc/zebradb/xsl/zebra.xsl

=> Zebra license

> koha-tmpl/intranet-tmpl/lib/tiny_mce/license.txt

tiny mce license

> koha-tmpl/intranet-tmpl/prog/js/offlinecirc.js

Yes, follow-up coming.

> xt/find-license-problems.t

False positive.

> xt/fix-old-fsf-address

Yes, follow-up coming.
Comment 9 Jonathan Druart 2020-02-03 09:47:08 UTC
Created attachment 98278 [details] [review]
Bug 24545: (follow-up) Fix license statements
Comment 10 Katrin Fischer 2020-02-14 21:57:13 UTC
Can you please rebase?
Comment 11 Jonathan Druart 2020-02-17 09:22:32 UTC
Created attachment 99068 [details] [review]
Bug 24545: Fix license statements

Bug 9978 should have fixed them all, but some were missing.
We want all the license statements part of Koha to be identical, and
using the GPLv3 statement.

Signed-off-by: David Nind <david@davidnind.com>
Comment 12 Jonathan Druart 2020-02-17 09:22:35 UTC
Created attachment 99069 [details] [review]
Bug 24545: Fix find-license-problems.t to catch future wrong license statements

File adjust to run tests and be executed on all our codebase.

Test plan:
- Apply this patch without the other one
- run the tests
=> Several failures
- apply the other patch
- run the tests
=> Should pass now

Signed-off-by: David Nind <david@davidnind.com>
Comment 13 Jonathan Druart 2020-02-17 09:22:38 UTC
Created attachment 99070 [details] [review]
Bug 24545: (follow-up) Fix license statements
Comment 14 Marcel de Rooy 2020-02-24 12:19:02 UTC
Fasten your seatbelts
Comment 15 Marcel de Rooy 2020-02-24 12:28:12 UTC Comment hidden (obsolete)
Comment 16 Marcel de Rooy 2020-02-24 12:28:17 UTC Comment hidden (obsolete)
Comment 17 Marcel de Rooy 2020-02-24 12:28:21 UTC Comment hidden (obsolete)
Comment 18 Marcel de Rooy 2020-02-24 12:31:30 UTC
Created attachment 99505 [details] [review]
Bug 24545: Fix license statements

Bug 9978 should have fixed them all, but some were missing.
We want all the license statements part of Koha to be identical, and
using the GPLv3 statement.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 19 Marcel de Rooy 2020-02-24 12:31:34 UTC
Created attachment 99506 [details] [review]
Bug 24545: Fix find-license-problems.t to catch future wrong license statements

File adjust to run tests and be executed on all our codebase.

Test plan:
- Apply this patch without the other one
- run the tests
=> Several failures
- apply the other patch
- run the tests
=> Should pass now

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 20 Marcel de Rooy 2020-02-24 12:31:38 UTC
Created attachment 99507 [details] [review]
Bug 24545: (follow-up) Fix license statements

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 21 Marcel de Rooy 2020-02-24 12:34:18 UTC
xt/find-license-problems.t
# Looks like you failed 6 tests of 1134.
Comment 22 Jonathan Druart 2020-02-24 13:00:48 UTC
(In reply to Marcel de Rooy from comment #21)
> xt/find-license-problems.t
> # Looks like you failed 6 tests of 1134.

Those are newly added scripts, they need to be fixed as well before push. Follow-up coming.
Comment 23 Jonathan Druart 2020-02-24 13:05:36 UTC
Created attachment 99513 [details] [review]
Bug 24545: Fix newly added files
Comment 24 Martin Renvoize 2020-02-24 13:27:40 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 25 Jonathan Druart 2020-02-24 14:31:19 UTC
Created attachment 99530 [details] [review]
Bug 24545: (follow-up) Fix license statements

Oops, missing # here!
Comment 26 Martin Renvoize 2020-02-24 14:36:00 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 27 Jonathan Druart 2020-02-25 08:55:43 UTC
New QA check is going to be added on https://gitlab.com/koha-community/qa-test-tools/issues/24
Comment 28 Jonathan Druart 2020-03-09 15:00:24 UTC
Created attachment 100386 [details] [review]
Bug 24545: Cannot return outside of sub

We must die instead
Comment 29 Martin Renvoize 2020-03-09 15:19:49 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 30 Joy Nelson 2020-03-31 22:13:52 UTC
Enhancement not backported to 19.11.x